import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected get_x5(): IndicatorDisplayType;
    constructor();
    protected get_yy(): IndicatorCalculationStrategy;
    protected get yy(): IndicatorCalculationStrategy;
    protected get_zb(): Type;
    protected get zb(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly zm: DependencyProperty;
    protected y6(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly zl: DependencyProperty;
    protected y3(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly zn: DependencyProperty;
    protected ye(): number;
}
